List Forms
GET/v1/forms
Access: API Key or Agent Connection
Every Form of the key's Organisation, with the Fields of its current version. Automation platforms use it to show your Fields as dynamic fields.
Responses
| Status | Description |
|---|---|
| 200 | The Forms.({ data: Form[] }) |
| 401 | The API Key is missing, unknown or revoked.(Error) |
| 500 | Something went wrong on our side.(Error) |
curl https://vink.page/v1/forms \
-H "Authorization: Bearer $VINK_API_KEY"{
"data": [
{
"id": "k17c9z1fx3q8d2v0n6e5w4t8hs7bm2ra",
"name": "Invoice",
"description": "Incoming supplier invoices",
"version": 3,
"fields": [
{
"key": "supplier",
"label": "Leverancier",
"type": "text",
"required": true
},
{
"key": "invoice_number",
"label": "Factuurnummer",
"type": "text",
"required": true
},
{
"key": "invoice_date",
"label": "Factuurdatum",
"type": "date",
"required": true
},
{
"key": "total_amount",
"label": "Totaalbedrag",
"type": "number",
"required": true
},
{
"key": "currency",
"label": "Valuta",
"type": "choice",
"required": false,
"options": [
"EUR",
"USD"
]
},
{
"key": "lines",
"label": "Regels",
"type": "list",
"required": false,
"fields": [
{
"key": "description",
"label": "Omschrijving",
"type": "text",
"required": true
},
{
"key": "quantity",
"label": "Aantal",
"type": "number",
"required": false
},
{
"key": "amount",
"label": "Bedrag",
"type": "number",
"required": true
}
]
}
]
}
]
}